
Summary: a machine-independent interface for array-oriented data
Name: netcdf
Version: 3.3.1
Release: 2
URL: http://www.unidata.ucar.edu/packages/netcdf/
Copyright: Copyrighted, no warranty, freely distributable if attributed
Group: Development/Libraries
Packager: John C. Peterson <jaypee@netcom.com>
Source0: ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf-3.3.1.tar.Z
Source1: ftp://ftp.unidata.ucar.edu/pub/netcdf/guidec.html.tar.Z
Source2: ftp://ftp.unidata.ucar.edu/pub/netcdf/guidef.html.tar.Z
Source3: ftp://ftp.unidata.ucar.edu/pub/netcdf/faq.txt
Patch: netcdf-3.3.1-linux.patch
Buildroot: /tmp/build_root

%description
NetCDF (Network Common Data Form) is an interface for array-oriented data
access and a library that provides an implementation of the interface. The
netCDF library also defines a machine-independent format for representing
scientific data. Together, the interface, library, and format support the
creation, access, and sharing of scientific data. The netCDF software
was developed at the Unidata Program Center in Boulder, Colorado.

%package doc
Summary: html format documentation for the netcdf library
Group: Development/Libraries

%description doc
The html format documentation for the netcdf library.

%prep
%setup
%setup -T -D -a 1
%setup -T -D -a 2
%patch -p1

%build
cd src
(export CPPFLAGS='-DNDEBUG -Df2cFortran' ;export FFLAGS='-O -Nx400 -w'; ./configure)
make clean
# build shared library
cd libsrc
make CFLAGS="-O -fPIC"
make shared_library
rm -f *.o *.a
cd ..
# build static library and programs
make
# run test cases, save results to a file
(export LD_LIBRARY_PATH=".:../libsrc:/usr/lib" ;make --no-print-directory test) > make_test.log 2>&1

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# create the directories we will need
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/include/netcdf
install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/man/man3
# create local install directories
mkdir bin include lib man
# local install using "make install"
cd src
make install
cd ..
# bin directory
install -m 0755 -s bin/ncdump $RPM_BUILD_ROOT/usr/bin/ncdump
install -m 0755 -s bin/ncgen  $RPM_BUILD_ROOT/usr/bin/ncgen
# include directory
mv include/* $RPM_BUILD_ROOT/usr/include/netcdf/
# lib directory
mv lib/* $RPM_BUILD_ROOT/usr/lib/
mv src/libsrc/libnetcdf.so $RPM_BUILD_ROOT/usr/lib/
# man directory
mv man/man1/*  $RPM_BUILD_ROOT/usr/man/man1
mv man/man3/*  $RPM_BUILD_ROOT/usr/man/man3
chmod 0444 $RPM_BUILD_ROOT/usr/man/man1/*
chmod 0444 $RPM_BUILD_ROOT/usr/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT src/COMPATIBILITY src/README ../../SOURCES/faq.txt src/make_test.log
/usr/bin/ncdump
/usr/bin/ncgen
/usr/include/netcdf/ncvalues.hh
/usr/include/netcdf/netcdf.h
/usr/include/netcdf/netcdf.hh
/usr/include/netcdf/netcdf.inc
/usr/lib/libnetcdf.so
/usr/lib/libnetcdf.a
/usr/lib/libnetcdf_c++.a
/usr/man/man1/ncdump.1
/usr/man/man1/ncgen.1
/usr/man/man3/netcdf.3
/usr/man/man3/netcdf.3f

%files doc
%doc guidec guidef

